Lighttpd with LUA support

There are two ways to install Lighttpd with LUA support, I will show you both.

### Easy way;
## Add to /etc/apt/sources.list:
deb http://www.jonmoniaci.com/debian-ppa/ lenny main contrib non-free

## Install
aptitude install lighttpd-mod-magnet
## Remove from sources list again

### Harder way

## Install gcc (compiler), and lua
apt-get install gcc
apt-get install lua
apt-get install liblua5.1-0-dev liblua50-dev liblualib50-dev

## Find the latest lighttpd tar.gz link here.
## cd to a folder you’re comfortable untarring stuff in
wget *lighttpd tar URL*
tar -zxvf lighttpd-version.tar.gz
cd *lighttpd untar-folder*

## Install stuff we need
apt-get install libpcre3-dev
apt-get install zlib1g-dev
apt-get install libbz2-dev

## Path to LUA may be found with “find / -name lua5.1.pc”
## Probably /usr/lib/pkgconfig/
./configure –with-lua PKG_CONFIG_PATH=/usr/lib/pkgconfig/

## Install make
apt-get install make

## Finish installing lighttpd
make
make install

Leave a Reply

Your email address will not be published. Required fields are marked *